$().ready(function() {
	
	var fecha 	= new Date();
	var anio 	= fecha.getFullYear();
	
    
    var lastDate = new Date(anio , 11, 31);
    
    
	$('#tfFechaReporte').datepicker({ 
			dateFormat: 'dd/mm/yy',
			changeMonth: true,
			changeYear: true,
			showButtonPanel: false,
			yearRange: "2014:"+anio
		}).datepicker("setDate", new Date(anio, 0, 1));
	
	
	$('#tfFechaFinReporte').datepicker({
		dateFormat: 'dd/mm/yy',
		changeMonth: true,
		changeYear: true,
		showButtonPanel: false,
		yearRange: "2014:"+anio
	}).datepicker("setDate", new Date(anio, 11, 31));
	
	
	
	$("#btGeneraReporte").prop( "disabled", false );
	
	
});

function fHabilitaBoton(){
	
	var fecha = $("#tfFechaReporte").val();
	
	if( fecha != null ) 
		$("#btGeneraReporte").prop( "disabled", false );
	
}//Termina function fHabilitaBoton()


function fgeneraReporte()
{
	var fecha = new Date();
		fecha = $("#tfFechaReporte").val();
	
	var fechaFin = new Date();		
				fechaFin = $("#tfFechaFinReporte").val();
		
	var vi;			
	if ($('#vigente').is(":checked")) {
	    vi = true;
	  }else{
		  vi = false; 
	  }
				
				
	$( "#gifLoad" ).show();
		
	if( fecha != null ) 
		$("#btGeneraReporte").prop( "disabled", true );

	
	var jsonString = '{"fecha": "' + fecha + '","fechaFin": "' + fechaFin + '","vigente": "'+vi+'"}';
	var stringJson = JSON.parse(jsonString);
	
	
	$.ajax({
        url: contextPath + "/contrato/descargaMasivaTitulos/generarReporteBActivos",
        type: 'POST',
        data: stringJson,
        dataType: "json",
        success: function(response) {
        	descargarArchivo(response);
       },error: function(jqXhr, textStatus, errorThrown) {
        	showError("Ocurri&oacute; un error al generar el reporte: "+textStatus);
        }
    });

}


function descargarArchivo(jsonData) {
	
	if(jsonData.mensajeExcepcion != null){
		showWarn(jsonData.mensajeExcepcion);
	}
	var DataReporte = jsonData.respuesta;
	
	if( DataReporte.resultado )
	{
		window.location = contextPath + "/contrato/descargaMasivaTitulos/descargarArchivo.action?rutaArchivo="+ DataReporte.ruta;
	}	
	else
		showError('Error al generar el reporte.');
	
	
	$("#btGeneraReporte").prop( "disabled", false );
	$( "#gifLoad" ).hide();
	
}